Subject: [Lsr] OSPF TE Link Local TLV

From: Alexander Okonnikov <[email-masked]>
Date: Tue, 5 Feb 2019 15:47:46 +0300

Hi,

I have question regarding RFC 4203, Section 3. That section introduces top-level TLV type 4 (Link Local TLV) and, at the same time, describes Link Local Identifier TLV. I guess that latter in fact is Sub-TLV of Link Local TLV. Also, IANA Considerations section doesn't mention that Sub-TLV, but only introduction of Link Local TLV. IANA has no corresponding registry  - "Types for Sub-TLVs of Link Local TLV (Value 4)".

Thanks in advance.

Best regards,
Alexander Okonnikov

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 5 Feb 2019 17:21:48 +0000

Hi Alex,

From: Lsr <[email-masked]> on behalf of Alexander Okonnikov <[email-masked]>
Date: Tuesday, February 5, 2019 at 7:48 AM
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [Lsr] OSPF TE Link Local TLV

Hi,

I believe this example is actually wrong and section 3 should refer to the top-level Link TLV (value 2) defined in RFC 3630. The Link Local Identifier is the one advertised in Link Local/Remote Identifiers Sub-TLV (type 11) defined in RFC 4203 section 1.1.

Hope this helps,
Acee

Thanks in advance.

Best regards,
Alexander Okonnikov

---

From: Okonnikov Alexander <[email-masked]>
Date: Tue, 5 Feb 2019 17:59:11 +0000

Hi Acee,

Per my understanding Link Local/Remote ID Sub-TLV is to be conveyed in area-scope LSA to uniquely identify link between pair of routers. For link-local scope another Sub-TLV was introduced, for discovery of link IDs by two neighbors.

May be, it is possible to reuse Link Local/Remote ID Sub-TLV (with Remote ID = 0) of Link TLV in link-local scope LSA, but the RFC follows another approach - to use another Sub-TLV and another TLV. I am not sure that we needed dedicated top-level TLV, though idea to use separate Sub-TLV seems to be reasonable.

Thank you!

Best regards,
Alexander Okonnikov

________________________________
От: Acee Lindem (acee) <[email-masked]>
Отправлено: вторник, февраля 5, 2019 20:21
Кому: Alexander Okonnikov; [email-masked]; [email-masked]
Тема: Re: [Lsr] OSPF TE Link Local TLV

Hi Alex,

Hi,

Hope this helps,
Acee

Thanks in advance.

Best regards,
Alexander Okonnikov

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 5 Feb 2019 18:29:33 +0000

Hi Alex,

From: Alexander Okonnikov <[email-masked]>
Date: Tuesday, February 5, 2019 at 12:59 PM
To: Acee Lindem <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Lsr] OSPF TE Link Local TLV

Hi Acee,

The context is completely different – see https://www.rfc-editor.org/rfc/rfc8510.txt

It is also possible to use a sledge hammer to crack a nut….

Acee

Thank you!

Best regards,
Alexander Okonnikov

Hi Alex,

Hi,

Hope this helps,
Acee

Thanks in advance.

Best regards,
Alexander Okonnikov

---

From: Alexander Okonnikov <[email-masked]>
Date: Tue, 5 Feb 2019 22:40:46 +0300

Hi Acee,

Yes, RFC 8510 provides alternative mechanism, but link identifier discovery mechanism via link-local TE LSA is still valid. Hence, I think that early mentioned issues need to be addressed.

Thank you!

> 5 февр. 2019 г., в 21:29, Acee Lindem (acee) <[email-masked]> написал(а):
> 
> Hi Alex, 
>  
> From: Alexander Okonnikov <[email-masked] <mailto:[email-masked]>>
> To: Acee Lindem <[email-masked] <mailto:[email-masked]>>, "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>, "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
> The context is completely different – see https://www.rfc-editor.org/rfc/rfc8510.txt <https://www.rfc-editor.org/rfc/rfc8510.txt>
>  
> От: Acee Lindem (acee) <[email-masked] <mailto:[email-masked]>>
> Кому: Alexander Okonnikov; [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
> From: Lsr <[email-masked] <mailto:[email-masked]>> on behalf of Alexander Okonnikov <[email-masked] <mailto:[email-masked]>>
> To: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>, "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>

---

From: Peter Psenak <[email-masked]>
Date: Wed, 6 Feb 2019 10:02:15 +0100

Hi Alex,

I believe you are right in saying that the RFC 4203 defined Link Local 
Identifier sub-TLV of the Link Local TLV, but did not do any IANA 
registration for it.

thanks,
Peter

On 05/02/2019 20:40 , Alexander Okonnikov wrote:
> Hi Acee,
>
> Yes, RFC 8510 provides alternative mechanism, but link identifier
> discovery mechanism via link-local TE LSA is still valid. Hence, I think
> that early mentioned issues need to be addressed.
>
> Thank you!
>
>> 5 февр. 2019 г., в 21:29, Acee Lindem (acee) <[email-masked]
>> <mailto:[email-masked]>> написал(а):
>>
>> Hi Alex,
>>
>> *From: *Alexander Okonnikov <[email-masked]
>> <mailto:[email-masked]>>
>> *Date: *Tuesday, February 5, 2019 at 12:59 PM
>> *To: *Acee Lindem <[email-masked] <mailto:[email-masked]>>,
>> "[email-masked] <mailto:[email-masked]>" <[email-masked]
>> <mailto:[email-masked]>>, "[email-masked] <mailto:[email-masked]>"
>> <[email-masked] <mailto:[email-masked]>>
>> *Subject: *Re: [Lsr] OSPF TE Link Local TLV
>>
>> Hi Acee,
>>
>> Per my understanding Link Local/Remote ID Sub-TLV is to be conveyed in
>> area-scope LSA to uniquely identify link between pair of routers. For
>> link-local scope another Sub-TLV was introduced, for discovery of link
>> IDs by two neighbors.
>>
>> The context is completely different –
>> see https://www.rfc-editor.org/rfc/rfc8510.txt
>>
>> May be, it is possible to reuse Link Local/Remote ID Sub-TLV (with
>> Remote ID = 0) of Link TLV in link-local scope LSA, but the RFC
>> follows another approach - to use another Sub-TLV and another TLV. I
>> am not sure that we needed dedicated top-level TLV, though idea to use
>> separate Sub-TLV seems to be reasonable.
>>
>> ------------------------------------------------------------------------
>> *От:* Acee Lindem (acee) <[email-masked] <mailto:[email-masked]>>
>> *Отправлено:* вторник, февраля 5, 2019 20:21
>> *Кому:* Alexander Okonnikov; [email-masked]
>> <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
>> *Тема:* Re: [Lsr] OSPF TE Link Local TLV
>>
>> Hi Alex,
>>
>>
>> *From: *Lsr <[email-masked] <mailto:[email-masked]>> on
>> behalf of Alexander Okonnikov <[email-masked]
>> <mailto:[email-masked]>>
>> *Date: *Tuesday, February 5, 2019 at 7:48 AM
>> *To: *"[email-masked] <mailto:[email-masked]>" <[email-masked]
>> <mailto:[email-masked]>>, "[email-masked] <mailto:[email-masked]>"
>> <[email-masked] <mailto:[email-masked]>>
>> *Subject: *[Lsr] OSPF TE Link Local TLV
>>
>> Hi,
>>
>> I have question regarding RFC 4203, Section 3. That section introduces
>> top-level TLV type 4 (Link Local TLV) and, at the same time, describes
>> Link Local Identifier TLV. I guess that latter in fact is Sub-TLV of
>> Link Local TLV. Also, IANA Considerations section doesn't mention that
>> Sub-TLV, but only introduction of Link Local TLV. IANA has no
>> corresponding registry  - "Types for Sub-TLVs of Link Local TLV (Value
>> 4)".
>>
>> I believe this example is actually wrong and section 3 should refer to
>> the top-level Link TLV (value 2) defined in RFC 3630. The Link Local
>> Identifier is the one advertised in Link Local/Remote Identifiers
>> Sub-TLV (type 11) defined in RFC 4203 section 1.1.
>>
>> Hope this helps,
>> Acee
>>
>> Thanks in advance.
>>
>> Best regards,
>> Alexander Okonnikov
>
>
>
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr
>